org.apache.sling.bgservlets

## Interface RuntimeState

    @ProviderType
    public interface RuntimeState

Interface used by a running job to exchange state information with the execution engine.

### Method Summary

Methods
`void` `setEstimatedCompletionTime(Date d)` Set the ETA that is returned by `JobProgressInfo`
`void` `setProgressMessage(String str)` Set the progress message that is returned by `JobProgressInfo`

### Method Detail

#### setProgressMessage

    void setProgressMessage(String str)

Set the progress message that is returned by `JobProgressInfo`

#### setEstimatedCompletionTime

    void setEstimatedCompletionTime(Date d)

Set the ETA that is returned by `JobProgressInfo`